<?php


namespace Lle\ClientHermesBundle\Model;


/**
 * Class Contact
 * @package Lle\ClientHermesBundle\Entity
 * Represent a Hermes contact.
 */
class Contact
{
    /**
     * @var string
     * Contact's general name
     */
    protected $name;

    /**
     * @var string
     * Contact's mail address
     */
    protected $address;

    public function __construct(string $name, string $address)
    {
        $this->name = $name;
        $this->address = $address;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     */
    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    /**
     * @return string
     */
    public function getAddress(): string
    {
        return $this->address;
    }

    /**
     * @param string $address
     */
    public function setAddress(string $address): self
    {
        $this->address = $address;

        return $this;
    }
}